xine-lib: pic_parameter_set_rbsp Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
pic_parameter_set_rbsp Struct Reference

## Data Fields
uint32_t | pic_parameter_set_id
uint32_t | seq_parameter_set_id
uint8_t | entropy_coding_mode_flag
uint8_t | pic_order_present_flag
uint32_t | num_slice_groups_minus1
uint32_t | slice_group_map_type
uint32_t | run_length_minus1 [64]
uint32_t | top_left [64]
uint32_t | bottom_right [64]
uint8_t | slice_group_change_direction_flag
uint32_t | slice_group_change_rate_minus1
uint32_t | pic_size_in_map_units_minus1
uint8_t | slice_group_id [64]
uint32_t | num_ref_idx_l0_active_minus1
uint32_t | num_ref_idx_l1_active_minus1
uint8_t | weighted_pred_flag
uint8_t | weighted_bipred_idc
int32_t | pic_init_qp_minus26
int32_t | pic_init_qs_minus26
int32_t | chroma_qp_index_offset
uint8_t | deblocking_filter_control_present_flag
uint8_t | constrained_intra_pred_flag
uint8_t | redundant_pic_cnt_present_flag
uint8_t | transform_8x8_mode_flag
uint8_t | pic_scaling_matrix_present_flag
uint8_t | pic_scaling_list_present_flag [8]
uint8_t | scaling_lists_4x4 [6][16]
uint8_t | scaling_lists_8x8 [2][64]
int32_t | second_chroma_qp_index_offset

## Field Documentation

## ◆ bottom_right

uint32_t pic_parameter_set_rbsp::bottom_right[64]

## ◆ chroma_qp_index_offset

int32_t pic_parameter_set_rbsp::chroma_qp_index_offset

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ constrained_intra_pred_flag

uint8_t pic_parameter_set_rbsp::constrained_intra_pred_flag

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ deblocking_filter_control_present_flag

uint8_t pic_parameter_set_rbsp::deblocking_filter_control_present_flag

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ entropy_coding_mode_flag

uint8_t pic_parameter_set_rbsp::entropy_coding_mode_flag

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ num_ref_idx_l0_active_minus1

uint32_t pic_parameter_set_rbsp::num_ref_idx_l0_active_minus1

Referenced by fill_vdpau_pictureinfo_h264(), parse_pps(), and parse_slice_header().

## ◆ num_ref_idx_l1_active_minus1

uint32_t pic_parameter_set_rbsp::num_ref_idx_l1_active_minus1

Referenced by fill_vdpau_pictureinfo_h264(), parse_pps(), and parse_slice_header().

## ◆ num_slice_groups_minus1

uint32_t pic_parameter_set_rbsp::num_slice_groups_minus1

Referenced by parse_pps().

## ◆ pic_init_qp_minus26

int32_t pic_parameter_set_rbsp::pic_init_qp_minus26

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ pic_init_qs_minus26

int32_t pic_parameter_set_rbsp::pic_init_qs_minus26

Referenced by parse_pps().

## ◆ pic_order_present_flag

uint8_t pic_parameter_set_rbsp::pic_order_present_flag

Referenced by check_progressive(), fill_vdpau_pictureinfo_h264(), parse_pps(), and parse_slice_header().

## ◆ pic_parameter_set_id

uint32_t pic_parameter_set_rbsp::pic_parameter_set_id

Referenced by nal_buffer_get_by_pps_id(), and parse_pps().

## ◆ pic_scaling_list_present_flag

uint8_t pic_parameter_set_rbsp::pic_scaling_list_present_flag[8]

Referenced by interpret_pps(), and parse_pps().

## ◆ pic_scaling_matrix_present_flag

uint8_t pic_parameter_set_rbsp::pic_scaling_matrix_present_flag

Referenced by interpret_pps(), and parse_pps().

## ◆ pic_size_in_map_units_minus1

uint32_t pic_parameter_set_rbsp::pic_size_in_map_units_minus1

Referenced by parse_pps().

## ◆ redundant_pic_cnt_present_flag

uint8_t pic_parameter_set_rbsp::redundant_pic_cnt_present_flag

Referenced by fill_vdpau_pictureinfo_h264(), parse_pps(), and parse_slice_header().

## ◆ run_length_minus1

uint32_t pic_parameter_set_rbsp::run_length_minus1[64]

Referenced by parse_pps().

## ◆ scaling_lists_4x4

uint8_t pic_parameter_set_rbsp::scaling_lists_4x4[6][16]

Referenced by fill_vdpau_pictureinfo_h264(), interpret_pps(), parse_pps(), and pps_scaling_list_fallback().

## ◆ scaling_lists_8x8

uint8_t pic_parameter_set_rbsp::scaling_lists_8x8[2][64]

Referenced by fill_vdpau_pictureinfo_h264(), interpret_pps(), parse_pps(), and pps_scaling_list_fallback().

## ◆ second_chroma_qp_index_offset

int32_t pic_parameter_set_rbsp::second_chroma_qp_index_offset

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ seq_parameter_set_id

uint32_t pic_parameter_set_rbsp::seq_parameter_set_id

Referenced by calculate_pic_order(), interpret_slice_header(), parse_pps(), parse_pred_weight_table(), and parse_slice_header().

## ◆ slice_group_change_direction_flag

uint8_t pic_parameter_set_rbsp::slice_group_change_direction_flag

Referenced by parse_pps().

## ◆ slice_group_change_rate_minus1

uint32_t pic_parameter_set_rbsp::slice_group_change_rate_minus1

Referenced by parse_pps().

## ◆ slice_group_id

uint8_t pic_parameter_set_rbsp::slice_group_id[64]

Referenced by parse_pps().

## ◆ slice_group_map_type

uint32_t pic_parameter_set_rbsp::slice_group_map_type

Referenced by parse_pps().

## ◆ top_left

uint32_t pic_parameter_set_rbsp::top_left[64]

## ◆ transform_8x8_mode_flag

uint8_t pic_parameter_set_rbsp::transform_8x8_mode_flag

Referenced by fill_vdpau_pictureinfo_h264(), and parse_pps().

## ◆ weighted_bipred_idc

uint8_t pic_parameter_set_rbsp::weighted_bipred_idc

Referenced by fill_vdpau_pictureinfo_h264(), parse_pps(), and parse_slice_header().

## ◆ weighted_pred_flag

uint8_t pic_parameter_set_rbsp::weighted_pred_flag

Referenced by fill_vdpau_pictureinfo_h264(), parse_pps(), and parse_slice_header().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libvdpau/vdpau_h264.c